[SRU] cloud-init does not know central (eu-central-1) is a direction for ec2 zones

Bug #1456684 reported by Scott Moser on 2015-05-19
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
cloud-init
Medium
Unassigned
cloud-init (Ubuntu)
High
Unassigned
Declined for Utopic by Ben Howard
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

cloud-init's code that tries to determine if it is in a ec2 region is simply unaware of the 'central' direction.

[Impact]
Ubuntu instances launched in the eu-central-1 EC2 region will not discover region-local mirrors. The user will see a degraded experience as they have to interact with mirrors that are further away and under heavier load. They will also potentially have to pay for the bandwidth used this way (as will the default mirror admins).

[Test Case]
Launch an instance in eu-central-1 and examine the apt sources used. They should be of the form "eu-central-1.ec2.archive.ubuntu.com" instead of "eu-central-1a.clouds.archive.ubuntu.com".

[Regression Potential]
Limited; the changes are limited to the mirror discovery, and if mirror discovery fails, we have default mirrors that we will use.

Related branches

Scott Moser (smoser) wrote :

related bug 1456277

Scott Moser (smoser) on 2015-05-19
Changed in cloud-init:
status: New → Confirmed
Changed in cloud-init (Ubuntu):
status: New → Confirmed
Changed in cloud-init:
importance: Undecided → Medium
Changed in cloud-init (Ubuntu):
importance: Undecided → High
Changed in cloud-init:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.7~bzr1109-0ubuntu1

---------------
cloud-init (0.7.7~bzr1109-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    * Azure: Redact on-disk user password in /var/lib/ovf-env.xml
      (LP: #1311827)
    * EC2: be aware of eu-central-1 availability zone (LP: #1456684)

 -- Scott Moser <email address hidden> Thu, 28 May 2015 10:54:45 -0400

Changed in cloud-init (Ubuntu):
status: Confirmed → Fix Released
Dan Watkins (oddbloke) on 2015-07-16
description: updated
summary: - does not know central (eu-central-1) is a direction for ec2 zones
+ [SRU] cloud-init does not know central (eu-central-1) is a direction for
+ ec2 zones

Hello Scott, or anyone else affected,

Accepted cloud-init into vivid-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.7~bzr1091-0ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Vivid):
status: New → Fix Committed
tags: added: verification-needed
Changed in cloud-init (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Scott, or anyone else affected,

Accepted cloud-init into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.7.5-0ubuntu1.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cloud-init (Ubuntu Precise):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Scott, or anyone else affected,

Accepted cloud-init into precise-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/0.6.3-0ubuntu1.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Dan Watkins (oddbloke) wrote :

Tested the following versions:

vivid: 0.7.7~bzr1091-0ubuntu4
trusty: 0.7.5-0ubuntu1.7
precise: 0.6.3-0ubuntu1.18

and have confirmed that this is fixed in all of those.

tags: added: verification-done
removed: verification-needed
Dan Watkins (oddbloke) on 2015-08-10
Changed in cloud-init:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.7~bzr1091-0ubuntu4

---------------
cloud-init (0.7.7~bzr1091-0ubuntu4) vivid; urgency=medium

  * d/patches/lp-1456684-eu-central-1.patch: Add central as a direction for
    EC2 availability zones (LP: #1456684).
  * d/patches/lp-1464253-handle-new-cloudstack-passwords.patch: Handle both
    old and new CloudStack password servers (LP: #1464253).
  * d/patches/lp-1475215-fix-cloudsigma-cepko.patch: Fix CloudSigma datasource
    under Python 3 (LP: #1475215).
  * d/patches/lp-1463373-fix-apt-gpg-key-fetching.patch: Fix a Python 3
    problem with the writing out of the script that fetches GPG keys for apt
    repos (LP: #1463373).

 -- Daniel Watkins <email address hidden> Mon, 29 Jun 2015 12:48:33 +0100

Changed in cloud-init (Ubuntu Vivid):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.7.5-0ubuntu1.7

---------------
cloud-init (0.7.5-0ubuntu1.7) trusty; urgency=medium

  * d/patches/lp-1456684-eu-central-1.patch:
    - Add central as a direction for EC2 availability zones (LP: #1456684).
  * d/patches/lp-1464253-handle-new-cloudstack-passwords.patch:
      - Handle both old and new CloudStack password servers (LP: #1464253).
  * Add python-serial to Build-Depends (LP: #1381776).

 -- Daniel Watkins <email address hidden> Thu, 16 Jul 2015 17:34:01 +0100

Changed in cloud-init (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.6.3-0ubuntu1.18

---------------
cloud-init (0.6.3-0ubuntu1.18) precise; urgency=medium

  * d/patches/lp-1456684-eu-central-1.patch:
      - Add central as a direction for EC2 availability zones (LP: #1456684).
  * d/patches/lp-1464253-handle-new-cloudstack-passwords.patch:
      - Handle both old and new CloudStack password servers (LP: #1464253).
  * Add python-serial to Depends (LP: #1381776).

 -- Daniel Watkins <email address hidden> Thu, 16 Jul 2015 17:14:18 +0100

Changed in cloud-init (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers